Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb
Class TableFilter

    java.lang.Object
      |
      +--org.hsqldb.TableFilter

class TableFilter
extends java.lang.Object

Class declaration

Field Summary
`(package private) java.lang.Object[]` | `oCurrentData`

Constructor Summary
`(package private)` | `TableFilter(Table t, java.lang.String alias, boolean outerjoin)` Constructor declaration

Method Summary
`(package private) boolean` | `findFirst()` Method declaration
`(package private) java.lang.String` | `getName()` Method declaration
`(package private) Table` | `getTable()` Method declaration
`(package private) boolean` | `next()` Method declaration
`(package private) void` | `setCondition(Expression e)` Method declaration

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### oCurrentData

    java.lang.Object[] oCurrentData

Constructor Detail

### TableFilter

    TableFilter(Table t,
                java.lang.String alias,
                boolean outerjoin)

  Constructor declaration
  Parameters:
    `t` -
    `alias` -
    `outerjoin` -

Method Detail

### getName

    java.lang.String getName()

  Method declaration
  Returns:

### getTable

    Table getTable()

  Method declaration
  Returns:

### setCondition

    void setCondition(Expression e)
                throws java.sql.SQLException

  Method declaration
  Parameters:
    `e` -
  Throws:
    java.sql.SQLException -

### findFirst

    boolean findFirst()
                throws java.sql.SQLException

  Method declaration
  Returns:
  Throws:
    java.sql.SQLException -

### next

    boolean next()
           throws java.sql.SQLException

  Method declaration
  Returns:
  Throws:
    java.sql.SQLException -

Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD